Bug 82030 - bold cyrillic fonts do not work
bold cyrillic fonts do not work
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86-KOI8-R (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-16 10:36 EST by Sam Steingold
Modified: 2015-01-07 19:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Steingold 2003-01-16 10:36:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
xterm does not display bold cyrillic fonts.
I set bash prompt to be (partially) bold and underlined.
it does not show like this in xterm (no bold, no underlining).
it did work in rh8.0.  it does not work in phoebe.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. xterm -fn -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r
2. PS1="\[\033[7m\]\t\[\033[m\] \[\033[1m\]\u@\h:\w [\#]\$\[\033[m\]"
    

Actual Results:  time is in reverse video, the rest is normal

Expected Results:  time is in reverse video
user@host:/path is in bold
[num]$ is underlined

Additional info:

$ rpm -qa | fgrep -i koi8
fonts-KOI8-R-1.0-4
fonts-KOI8-R-100dpi-1.0-4
fonts-KOI8-R-75dpi-1.0-4
mplayer-font-koi8r-1.0-1
$ xlsfonts -fn *-fixed-*-semicondensed-*-koi8-r
-misc-fixed-bold-r-semicondensed--0-0-75-75-c-0-koi8-r
-misc-fixed-bold-r-semicondensed--13-120-75-75-c-60-koi8-r
-misc-fixed-bold-r-semicondensed--13-120-75-75-c-60-koi8-r
-misc-fixed-bold-r-semicondensed--13-120-75-75-c-60-koi8-r
-misc-fixed-medium-r-semicondensed--0-0-75-75-c-0-koi8-r
-misc-fixed-medium-r-semicondensed--0-0-75-75-c-0-koi8-r
-misc-fixed-medium-r-semicondensed--12-110-75-75-c-60-koi8-r
-misc-fixed-medium-r-semicondensed--12-110-75-75-c-60-koi8-r
-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r
-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r
-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r
-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r
-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r

note that I do have the bold font which corresponds to the -fn argument that I
pass to xterm.

why are some fonts listed several times?

I am having an identical problem with Emacs - it does not show bold cyrillic
fonts either.
Comment 1 Mike Chambers 2003-02-10 22:40:28 EST
Have you upgraded any packages since this bug was discovered via up2date and/or 
rawhide?  If so, does the problem still exist?  Either case, what package 
versions are you running and which phoebe are you testing this on?
Comment 2 Sam Steingold 2003-02-11 10:08:47 EST
i just ran up2date; redhat-linux-beta-i386-phoebe-8.0.93; s
ame packages, the problem persists.
# rpm -qa | fgrep -i koi8
fonts-KOI8-R-100dpi-1.0-4
fonts-KOI8-R-1.0-4
fonts-KOI8-R-75dpi-1.0-4
mplayer-font-koi8r-1.0-1
when I try to use up2date on rawhide, I get an error that I am not entitled to
that channel (or something like that).
Comment 3 Bill Nottingham 2006-08-05 00:15:53 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Bill Nottingham 2007-01-02 13:54:02 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.